﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace VisualLinq
{
    public class VisualSource<T> : VisualEnumerable<T>
    {
        IEnumerable<T> source;

        public VisualSource(IEnumerable<T> source, Canvas canvas, string name)
            : base(canvas, new Point(200, 50), name)
        {
            this.source = source;
        }

        public override IEnumerator<T> GetEnumerator()
        {
            return source.GetEnumerator();
        }

        internal override void ThreadedDispose()
        {
            // Ignore!
        }
    }
}
